Subject: Re: bug#62264: [PATCH core-updates 0/6] Add `guix index` subcommand

From: Ludovic Courtès <[email-masked]>
Date: Sun, 21 May 2023 23:45:35 +0200

Hello!

Ludovic Courtès <[email-masked]> skribis:

> I squashed the ‘guix index’ patches you posted, followed up with
> individual changes on top of that (those will have to be squashed
> eventually), and pushed the result in the ‘wip-guix-index’ branch.
> Lemme know what you think!

I’ve pushed additional changes.  There are a few more things I’d like to
do before we can merge it:

  - [ ] 'guix index' renamed to 'guix locate'
  - [ ] 'search' action removed; option added to force reindexing
  - [ ] warning printed when database is too old
  - [ ] start anew when database is very old
  - [ ] documentation written
  - [ ] '--help' output made more concise

We can think about fetching databases in a second iteration.

Ludo’.